%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate parking_lot

Name:           rust-parking_lot0.11
Version:        0.11.2
Release:    1%{?dist}
Summary:        More compact and efficient implementations of the standard synchronization primitives

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/parking_lot
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
More compact and efficient implementations of the standard
synchronization primitives.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arc_lock-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arc_lock-devel %{_description}

This package contains library source intended for building other packages which
use the "arc_lock" feature of the "%{crate}" crate.

%files       -n %{name}+arc_lock-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+deadlock_detection-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+deadlock_detection-devel %{_description}

This package contains library source intended for building other packages which
use the "deadlock_detection" feature of the "%{crate}" crate.

%files       -n %{name}+deadlock_detection-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nightly-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nightly-devel %{_description}

This package contains library source intended for building other packages which
use the "nightly" feature of the "%{crate}" crate.

%files       -n %{name}+nightly-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+owning_ref-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+owning_ref-devel %{_description}

This package contains library source intended for building other packages which
use the "owning_ref" feature of the "%{crate}" crate.

%files       -n %{name}+owning_ref-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+send_guard-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+send_guard-devel %{_description}

This package contains library source intended for building other packages which
use the "send_guard" feature of the "%{crate}" crate.

%files       -n %{name}+send_guard-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.2-1
- initial build
